2

Yum Complete Transaction won't complete

view story
linux-howto

http://forums.fedoraforum.org – Hello, I am running Fedora 8. Each time I run a YUM command, I get the message that there are unfinished transactions, and to run yum-complete-transaction. Upon running yum-complete-transaction, it fails with this error. How can I remove this uncompleted transaction so I can finish the last one? Thank you Code: [root@localhost]# /usr/sbin/yum-complete-transaction There are 2 outstanding transactions to complete. Finishing the most recent one The remaining transaction had 2 elements left to run There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them. --> Running transaction check ---> Package openssl.i386 0:0.9.8b-17.fc8 set to be updated ---> Package openssl-devel.x86_64 0:0.9.8b-17.fc8 set to be erased --> Processing Dependency: openssl-devel for package: mysql-devel --> Processing Dependency: openssl-devel for package: mysql-devel --> Running transaction check ---> Package mysql-devel.i386 0:5.0.45-6.fc8 set to be erased ---> Package mysql-devel.x86_64 0:5.0.45-6.fc8 set to be erased --> Finished Dependency Resolution ===================================================================================================================  Package                      Arch                  Version                        Repository                Size =================================================================================================================== Installing:  openssl                      i386                  0.9.8b-17.fc8                  fedora                  1.4 M Removing:  openssl-devel                x86_64                0.9.8b-17.fc8                  installed                4.9 M Removing for dependencies:  mysql-devel                  i386                  5.0.45-6.fc8                    installed                5.6 M  mysql-devel                  x86_64                5.0.45-6.fc8                    installed                6.3 M Transaction Summary =================================================================================================================== Install      1 Package(s)        Update      0 Package(s)        Remove      3 Package(s)        Total size: 1.4 M Is this ok [y/N]: y Downloading Packages: ================================================ Entering rpm code ================================================ Running rpm_check_debug Running Transaction Test Finished Transaction Test Traceback (most recent call last):   File "/usr/sbin/yum-complete-transaction", line 211, in <module>     util = YumCompleteTransaction()   File "/usr/sbin/yum-complete-transaction", line 116, in __init__     self.main()   File "/usr/sbin/yum-complete-transaction", line 196, in main     if self.doTransaction() == 0:   File "/usr/share/yum-cli/cli.py", line 442, in doTransaction     self.errorSummary(errstring) yum.Errors.YumBaseError: Transaction Check Error:   file /lib/libcrypto.so.0.9.8b from install of openssl-0.9.8b-17.fc8.i386 conflicts with file from package openssl-0.9.8b-17.fc8.i686   file /lib/libssl.so.0.9.8b from install of openssl-0.9.8b-17.fc8.i386 conflicts with file from package openssl-0.9.8b-17.fc8.i686   file /usr/lib/openssl/engines/lib4758cca.so from install of openssl-0.9.8b-17.fc8.i386 conflicts with file from package openssl-0.9.8b-17.fc8.i686   file /usr/lib/openssl/engines/libaep.so from install of openssl-0.9.8b-17.fc8.i386 conflicts with file from package openssl-0.9.8b-17.fc8.i686   file /usr/lib/openssl/engines/libatalla.so from install of openssl-0.9.8b-17.fc8.i386 conflicts with file from package openssl-0.9.8b-17.fc8.i686   file /usr/lib/openssl/engines/libchil.so from install of openssl-0.9.8b-17.fc8.i386 conflicts with file from package openssl-0.9.8b-17.fc8.i686   file /usr/lib/openssl/engines/libcswift.so from install of openssl-0.9.8b-17.fc8.i386 conflicts with file from package openssl-0.9.8b-17.fc8.i686   file /usr/lib/openssl/engines/libnuron.so from install of openssl-0.9.8b-17.fc8.i386 conflicts with file from package openssl-0.9.8b-17.fc8.i686   file /usr/lib/openssl/engines/libubsec.so from install of openssl-0.9.8b-17.fc8.i386 conflicts with file from package openssl-0.9.8b-17.fc8.i686 Error Summary ------------- (HowTos)